DESKeySpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.DESKeySpec,DESKeySpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class DESKeySpec

    java.lang.Object
      |
      +--javax.crypto.spec.DESKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

public class DESKeySpec
extends java.lang.Object
implements java.security.spec.KeySpec

This class specifies a DES key.

Field Summary
`static int` | `DES_KEY_LEN`

Constructor Summary
`DESKeySpec(byte[] key)` Uses the first 8 bytes in `key` as the key material for the DES key.
`DESKeySpec(byte[] key, int offset)` Uses the first 8 bytes in `key`, beginning at `offset` inclusive, as the key material for the DES key.

Method Summary
`byte[]` | `getKey()` Returns the DES key material.
`static boolean` | `isParityAdjusted(byte[] key, int offset)` Checks if the given DES key material, starting at `offset` inclusive, is parity-adjusted.
`static boolean` | `isWeak(byte[] key, int offset)` Checks if the given DES key material is weak or semi-weak.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DES_KEY_LEN

    public static final int DES_KEY_LEN

See Also:
  Constant Field Values

Constructor Detail

### DESKeySpec

    public DESKeySpec(byte[] key)
               throws java.security.InvalidKeyException

  Uses the first 8 bytes in `key` as the key material for the DES key.

  The bytes that constitute the DES key are those between `key[0]` and `key[7]` inclusive.

Parameters:
  `key` - - the buffer with the DES key material.
Throws:
  `java.security.InvalidKeyException` - - if the given key material is shorter than 8 bytes.

### DESKeySpec

    public DESKeySpec(byte[] key,
                      int offset)
               throws java.security.InvalidKeyException

  Uses the first 8 bytes in `key`, beginning at `offset` inclusive, as the key material for the DES key.

  The bytes that constitute the DES key are those between `key[offset]` and `key[offset+7]` inclusive.

Parameters:
  `key` - the buffer with the DES key material.
  `offset` - the offset in `key`, where the DES key material starts.
Throws:
  `java.security.InvalidKeyException` - if the given key material, starting at `offset` inclusive, is shorter than 8 bytes.

Method Detail

### getKey

    public byte[] getKey()

  Returns the DES key material.

  Returns:
    the DES key material.

### isParityAdjusted

    public static boolean isParityAdjusted(byte[] key,
                                           int offset)
                                    throws java.security.InvalidKeyException

  Checks if the given DES key material, starting at `offset` inclusive, is parity-adjusted.

  Parameters:
    `key` - the buffer with the DES key material.
    `offset` - the offset in `key`, where the DES key material starts.
  Throws:
    `java.security.InvalidKeyException` - if the given key material, starting at `offset` inclusive, is shorter than 8 bytes.

### isWeak

    public static boolean isWeak(byte[] key,
                                 int offset)
                          throws java.security.InvalidKeyException

  Checks if the given DES key material is weak or semi-weak.

  Parameters:
    `key` - the buffer with the DES key material.
    `offset` - the offset in `key`, where the DES key material starts.
  Returns:
    true if the given DES key material is weak or semi-weak, false otherwise.
  Throws:
    `java.security.InvalidKeyException` - if the given key material, starting at `offset` inclusive, is shorter than 8 bytes.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.